//! Remote communication
#![cfg_attr(nightly, feature(const_fn_trait_bound))]

#![allow(dead_code)]

#[macro_use] extern crate serde;
#[macro_use] extern crate ad_hoc_iter;
#[macro_use] extern crate pin_project;

#[allow(unused_imports)]
use color_eyre::{
    eyre::{
	self, eyre,
	WrapErr,
    },
    SectionExt, Help,
};
#[allow(unused_imports)]
use std::convert::{
    TryFrom,
    TryInto,
};

mod ext; use ext::*;
mod bin;
mod message;

mod cancel;

mod cap;
mod sock;
//mod pipeline;

#[tokio::main]
async fn main() -> eyre::Result<()>
{

    Ok(())
}
