//! Base64 formatting extensions
use super::*;

pub trait Base64StringExt
{
    fn to_base64_string(&self) -> String;
}

impl<T: ?Sized> Base64StringExt for T
where T: AsRef<[u8]>
{
    fn to_base64_string(&self) -> String {
	::base64::encode(self.as_ref())
    }
}
